package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

public class StaffClerkRelationDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String staffClerkRelationId;

    private String staffId;

    private String wxEnterpriseId;

    private String enterpriseId;

    private String storeId;

    private String clerkId;

    private String clerkCode;

    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;

    private String storeName;
    private String staffName;

    private Integer openConcatFlag;

    private String qwUserId;
    private String openUserId;
    private Integer manageFlag;
    private Integer clerkType;

    private String staffHeadImg ;

    public String getStaffHeadImg() {
        return staffHeadImg;
    }

    public void setStaffHeadImg(String staffHeadImg) {
        this.staffHeadImg = staffHeadImg;
    }

    public String getQwUserId() {
        return qwUserId;
    }

    public String getOpenUserId() {
        return openUserId;
    }

    public void setQwUserId(String qwUserId) {
        this.qwUserId = qwUserId;
    }

    public void setOpenUserId(String openUserId) {
        this.openUserId = openUserId;
    }

    public String getStaffClerkRelationId() {
        return staffClerkRelationId;
    }

    public void setStaffClerkRelationId(String staffClerkRelationId) {
        this.staffClerkRelationId = staffClerkRelationId == null ? null : staffClerkRelationId.trim();
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId == null ? null : staffId.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId == null ? null : enterpriseId.trim();
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId == null ? null : storeId.trim();
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId == null ? null : clerkId.trim();
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode == null ? null : clerkCode.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public Integer getOpenConcatFlag() {
        if (null == openConcatFlag) {
            return 1;
        }
        return openConcatFlag;
    }
    public void setOpenConcatFlag(Integer openConcatFlag) {
        this.openConcatFlag = openConcatFlag;
    }

    public Integer getManageFlag() {
        return manageFlag;
    }

    public void setManageFlag(Integer manageFlag) {
        this.manageFlag = manageFlag;
    }

    public Integer getClerkType() {
        return clerkType;
    }

    public void setClerkType(Integer clerkType) {
        this.clerkType = clerkType;
    }
}
